Subject: [alpine-devel] [PATCH 1/2] main/st: upgrade to st 0.5

From: Gaber Ayoubi <[email-masked]>
Date: Fri, 25 Jul 2014 22:17:49 +0000

---
 main/st/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/st/APKBUILD b/main/st/APKBUILD
index d788edd..07384d6 100644
--- a/main/st/APKBUILD
+++ b/main/st/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=st
-pkgver=0.4.1
+pkgver=0.5
 pkgrel=0
 pkgdesc="a simple terminal implementation for X"
 url="http://st.suckless.org/"
@@ -38,9 +38,9 @@ package() {
 	rm -f "$pkgdir"/usr/lib/*.la
 }
 
-md5sums="fa03d702b6d67de395975155c87084e9  st-0.4.1.tar.gz
+md5sums="4f8ae2737120a8cba34b23c6020fe51e  st-0.5.tar.gz
 28103a441b3d307f5b18e91a014066ee  0001-set-terminfo-directory-in-config.mk.patch"
-sha256sums="ee2f93c6d8cd95a5ab47423eeebde4a474be470309ceee33fa3c7757eae2bf31  st-0.4.1.tar.gz
+sha256sums="ae80ddfaf8146f7665772efc9b85e05e08be5087682a689ecdf71aa4d4bfdd4e  st-0.5.tar.gz
 4d1f63941288eddc574c0edf34633e918a4008727c42b2a17fc485de7808ce8c  0001-set-terminfo-directory-in-config.mk.patch"
-sha512sums="06a75cdf7d22c64c1331276b0f58577c3c42c1c2edcb41a33a3c37f7b65bd284a3b006dd94e0dc081f42f028dd18b60f278e8b3f33a1cf6611b1398bff80df7d  st-0.4.1.tar.gz
+sha512sums="fb5d3b6dfb56f35c60a83164d0da2aef67d9fc23b81fdd7c26b9a618c92524a601db5fc4149a3a5054ca3306ecc80e104fa629ecb1516c047a726012237c83d5  st-0.5.tar.gz
 5ea77eb64c2628bc94477924421013e73c0753a998ed3b2ad21d89a887c11b87349e9569f82c79b02fddacb4b1d9e0c76743fd02dae89dc625c6c68806ee7e3c  0001-set-terminfo-directory-in-config.mk.patch"
-- 
2.0.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Gaber Ayoubi <[email-masked]>
Date: Fri, 25 Jul 2014 22:17:50 +0000

---
 testing/dwm/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/dwm/APKBUILD

diff --git a/testing/dwm/APKBUILD b/testing/dwm/APKBUILD
new file mode 100644
index 0000000..54214aa
--- /dev/null
+++ b/testing/dwm/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Gaber Ayoubi <[email-masked]>
+# Maintainer:
+pkgname=dwm
+pkgver=6.0
+pkgrel=0
+pkgdesc="dwm - dynamic window manager"
+url="dwm.suckless.org"
+arch="all"
+license="MIT/X"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libx11-dev libxinerama-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://dl.suckless.org/dwm/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/dwm-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr  DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="8bb00d4142259beb11e13473b81c0857  dwm-6.0.tar.gz"
+sha256sums="b2b9483de69259eeea56844899bb2385158d3e79a42d82b10c142099fc8eeb56  dwm-6.0.tar.gz"
+sha512sums="895d1d363b3756c9ba19dbf06af34be753c1ae5971d540113d7f8901ad174c2e5944ef769b43e65f7b700f34832bb24082bc91d999b287610c9925182ce70c00  dwm-6.0.tar.gz"
-- 
2.0.2

---